﻿Imports Telerik.Windows.Controls

Class MainWindow

    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        Dim manager = New RadDesktopAlertManager()
        Dim mainAlert = New RadDesktopAlert() With {
            .Header = "Messages",
            .Content = "You have new messages",
            .Height = 75,
            .Width = 300,
            .IconColumnWidth = 30,
            .IconMargin = New Thickness(5, 10, 15, 0),
            .CanAutoClose = False,
            .ShowCloseButton = False,
            .Tag = "main",
            .ShowMenuButton = True
        }
        AddHandler mainAlert.PreviewMouseLeftButtonUp, AddressOf OnAlertPreviewMouseLeftButtonUp
        manager.ShowAlert(mainAlert)
    End Sub

    Private Sub OnAlertPreviewMouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        If e.OriginalSource.GetType() IsNot GetType(RadButton) Then
            e.Handled = True
        End If
    End Sub

End Class
